<?php
include("../php/config.php");


$monto = $_GET["monto"];
$amonto = $_GET["monto"];
$usuario = $_COOKIE["usuario"];
$cliente = $_GET["cliente"];

$concepto = "Pago del cliente: ".$cliente;

$balance = $_GET["balance"];
$nota = $_GET["nota"];
$pagadas = "";

$metodo = $_GET["metodo"];

if($metodo=="Tarjeta"){
	$tarjeta = $monto;
}

if($metodo=="Efectivo"){
	$efectivo = $monto;
}

if($metodo=="Transferencia"){
	$transferencia = $monto;
}





mysql_query("INSERT INTO ingresos SET  fecha='$hoy', hora='$hora', moneda='PESOS', efectivo='$efectivo',cheque='$cheque',numero_cheque='$numero_cheque',tarjeta='$tarjeta', monto='$amonto', cliente='$cliente', tipo='Credito', concepto='$concepto', usuario='$usuario'") or die(mysql_error());

$rslast = mysql_query("SELECT id FROM ingresos  WHERE fecha='$hoy' and usuario='$usuario' and monto='$monto'  ORDER BY id DESC LIMIT 1") or die(mysql_error());

$ultimo =   @mysql_result($rslast, 0, "id"); 




$a = mysql_query("SELECT * FROM ventas WHERE balance>0 and cliente='$cliente'  ORDER BY id_venta ASC") or die(mysql_error());
while($rs = mysql_fetch_array($a)){
////si monto es mayor al balance////
	if($monto>0){
		pagar($rs["balance"],$rs["id_venta"],$rs["folio"]);
		$pagadas.=",".$rs["folio"];
	}
////////////////////////////////
}



function pagar($balance,$id_venta, $folio){
global $ultimo;    
global $distribucion;
global $abonadas;
global $monto;
global $pagadas;
global $amonto;
global $cliente;
global $usuario;
global $hoy;
global $nota;


if($monto>$balance){
$q0 = mysql_query("UPDATE ventas SET pagado=balance,fecha_pago='$hoy' WHERE 	id_venta='$id_venta'") or die(mysql_error());
$q1 = mysql_query("UPDATE ventas SET balance=0 WHERE 	id_venta='$id_venta'") or die(mysql_error());
    
    
    
	$distribucion .= " | Factura #: (".$id_venta."), abono: [".number_format($balance,2,'.', ',')."," or die(mysql_error());
	mysql_query("INSERT INTO pagos_credito SET moneda='PESOS',  efectivo='$efectivo',transferencia='$transferencia',tarjeta='$tarjeta', secuencia='$ultimo', fecha='$hoy', hora=CURTIME(), monto='$balance', cliente='$cliente',  usuario='$usuario', id_factura='$id_venta'") or die(mysql_error());

	
	
	$monto = $monto - $balance;
	return;
}	
if($monto<$balance){
	

       
	$q0 = mysql_query("UPDATE ventas SET pagado=pagado+'$monto', fecha_pago='$hoy', balance=balance - '$monto' WHERE 	id_venta='$id_venta'") or die(mysql_error());
	
   
	    
	    
	$distribucion .= " | Factura #: (".$id_venta."), abono: ".number_format($monto,2,'.', ',')."," or die(mysql_error());
	mysql_query("INSERT INTO pagos_credito SET moneda='PESOS',  efectivo='$efectivo',transferencia='$transferencia',tarjeta='$tarjeta', secuencia='$ultimo', fecha='$hoy', hora=CURTIME(), monto='$monto', cliente='$cliente',  usuario='$usuario', id_factura='$id_venta'") or die(mysql_error());

	
	$monto = 0;
	return;
	}
	
	
	if($monto==$balance){

	   
$q0 = mysql_query("UPDATE ventas SET pagado=balance, fecha_pago='$hoy' WHERE 	id_venta='$id_venta'") or die(mysql_error());

$q1 = mysql_query("UPDATE ventas SET balance=0 WHERE id_venta='$id_venta'") or die(mysql_error());

    
    
	$distribucion .= " | Factura #: (".$id_venta."), abono: ".number_format($balance,2,'.', ',')."," or die(mysql_error());
	mysql_query("INSERT INTO pagos_credito SET moneda='PESOS',  efectivo='$efectivo',transferencia='$transferencia',tarjeta='$tarjeta', secuencia='$ultimo',fecha=CURDATE(), hora=CURTIME(), monto='$balance', cliente='$cliente',  usuario='$usuario', id_factura='$id_venta'") or die(mysql_error());

	$monto = 0;
	return;
	}
	
	
	
}

	$concepto = "Pago de factura(s): <br>".$cliente."<br>Distribucion de pago:".$distribucion;


   mysql_query("UPDATE ingresos SET concepto='$concepto' WHERE id='$ultimo'") or die(mysql_error());


echo 1;

?>